.travel-form__form {
    background-color: var(--color-ivory-50);
}

.travel-form__form-content {
    display: flex;
    flex-direction: column;
    gap: 25px;
}

@media screen and (min-width: 768px) {
    .travel-form__form-content {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 28px;
    }
}

.travel-form__form:has([data-status="resetting"]) .custom-spinner {
    display: flex;
}
.travel-form__form:has([data-status="resetting"]) .travel-form__form-content,
.travel-form__form:has([data-status="sent"]) .travel-form__form-content {
    grid-template-columns: 1fr;
}
.travel-form__form:has([data-status="resetting"]) .main-footer__promo-banner,
.travel-form__form:has([data-status="resetting"]) form > :not(.wpcf7-response-output),
.travel-form__form:has([data-status="sent"]) .main-footer__promo-banner,
.travel-form__form:has([data-status="sent"]) form > :not(.wpcf7-response-output) {
    display: none;
}

.contact-form input,
.contact-form textarea {
    width: 100%;
    background: var(--color-frost-100);
    border: none;
}

.contact-form input:focus-visible,
.contact-form textarea:focus-visible {
    outline-color: #D4DAE5!important;
}

.contact-form input {
    border-radius: 50px;
    height: 40px;
    padding: 20px;
}

.contact-form .form-submit input {
    width: max-content;
    padding: 10px 61px;
    background: #152619;
    color: #fff;
    border-radius: 8px;
    font-weight: 500;
    cursor: pointer;
    line-height: 1;
}

.contact-form textarea {
    border-radius: 20px;
    padding: 8px 20px;
}

.contact-form label {
    width: 100%;
    margin-bottom: 8px;
    font-weight: bold;
}

.contact-form label[for=flexible-dates] {
    margin-bottom: 0;
}

.wpcf7-response-output {
    margin: 16px 0 0!important;
}
.travel-form__form:has([data-status="sent"]) form > .wpcf7-response-output {
    margin: 0!important;
}

.flexible-notice {
    font-size: 11px;
}

.holiday-budget-wrapper {
    position: relative;
}

.holiday-budget-wrapper input {
    padding-left: 28px;
}

.currency-symbol {
    position: absolute;
    top: 20px;
    left: 10px;
    transform: translateY(-50%);
    z-index: 1;
}

#room-content,
.contact-form > p:not(:first-of-type):not(.flexible-notice),
.room-container:not(:first-of-type),
.children-ages-container,
.children-ages-container label:not(:first-of-type),
.date-fields {
    margin-top: 16px;
}

.room-identifier {
    display: flex;
    gap: 6px;
    margin-bottom: 8px;
}

#add-room-button {
    background: var(--color-frost-100);
    display: flex;
    align-items: center;
    border: none;
    padding: 8px 8px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 5px;
    transition: all 0.3s ease;
}

#add-room-button:hover {
    background: #D4DAE5;
    box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.2)
}

.add-icon {
    background-color: var(--color-white);
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 24px;
    height: 24px;
    margin-right: 10px;
    border-radius: 4px;
}

.room-identifier button {
    background: none;
    border-radius: 100%;
    width: 14px;
    height: 14px;
    border: 1px solid;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.remove-room-button::after {
    content: "×";
    font-size: 10px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: black;
}

.room-details,
.date-fields {
    display: flex;
    gap: 12px;
    width: 100%;
    flex-wrap: wrap;
}

.room-details p,
.date-fields p {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    flex: 1 1 150px;
}

#toggle-flexibility-button {
    min-width: 83px;
    background: var(--color-frost-100);
    display: flex;
    align-items: center;
    border: none;
    padding: 8px 8px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 5px;
    transition: all 0.3s ease;
}

#toggle-flexibility-button .flexibility-icon.icon-no,
#toggle-flexibility-button .text-no {
    display: none;
}

#toggle-flexibility-button:hover {
    background: #D4DAE5;
    box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.2);
}

.flexibility-icon {
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 24px;
    height: 24px;
    margin-right: 10px;
    border-radius: 4px;
    color: white;
    background-color: green;
}

.flexibility-icon-yes {
    color: green;
}

.flexibility-icon-no {
    color: red;
}

#toggle-flexibility-button.no .flexibility-icon {
    background-color: var(--color-white);
    color: red;
}

#toggle-flexibility-button.no {
    background: #FBE4E4;
}



#toggle-flexibility-button.no .flexibility-icon.icon-yes,
#toggle-flexibility-button.no .text-yes {
    display: none;
}

#toggle-flexibility-button.no .flexibility-icon.icon-no,
#toggle-flexibility-button.no .text-no {
    display: block;
}

.acceptance span {
    cursor: pointer;
}

.acceptance label {
    display: flex;
    gap: 8px;
}

.acceptance .wpcf7-list-item {
    margin: 0;
}

.acceptance input[type="checkbox"] {
    width: 15px;
    height: 15px;
    margin-top: 4px;
    cursor: pointer;
}

.wpcf7-not-valid-tip {
    color: red;
}

#preferred-airports {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}

#preferred-airports > span {
    margin: 0;
}

#preferred-airports label {
    margin: 0;
    background: var(--color-frost-100);
    display: flex;
    align-items: center;
    border: none;
    padding: 8px 8px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 5px;
    transition: all 0.3s ease;
}

#preferred-airports input {
    width: 24px;
    height: 24px;
    margin-right: 10px;
    border-color: transparent;
}

#preferred-airports input[type="checkbox"] {
    display: none;
}

#preferred-airports input[type="checkbox"] ~ .wpcf7-list-item-label {
    display: flex;
    gap: 10px;
}

#preferred-airports input[type="checkbox"] ~ .wpcf7-list-item-label::before {
    content: ""; 
    background-color: #ffffff;
    width: 24px;
    height: 24px;
    border-radius: 4px;
}

#preferred-airports input[type="checkbox"]:checked ~ .wpcf7-list-item-label::before {
    content: "✔";
    color: white;
    background: #4CAF50;
    border-color: #4CAF50;
    display: flex;
    align-items: center;
    justify-content: center;
}
